local ls = require("luasnip")
local s = ls.snippet
local t = ls.text_node
local f = ls.function_node
local fmt = require("luasnip.extras.fmt").fmt

-- Function to get the current date
local get_date = function()
  return os.date("%Y-%m-%d")
end

return {
  s(
    {
      trig = "hr",
      name = "Heures",
      dscr = "Insert a commit message for saving the worked hours."
    },
    {
      t("organisation: enregistre les heures")
    }
  ),
  s(
    {
      trig = "ic",
      name = "Incremental note commit message",
      dscr = "Insert a commit message for my incremental notes commits."
    },
    fmt(
      [[
      Incrémente la note du {1}
      ]],
      {
        f(get_date, {})
      }
    )
  ),
  s(
    {
      trig = "aou",
      name = "AoU stats commit message",
      dscr = "Commit message for an increment of AoU validation statistics."
    },
    {
      t("r+e: incrémente les stats de validation de l'AoU")
    }
  )
}
